html, body {
    height: 100%;
    width: 100%;
    margin: 0;
    background: rgb(77,8,230);
    background: linear-gradient(180deg, rgba(132,4,232,1) 0%, rgba(182,0,255,1) 100%);
    overflow: hidden;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
}

#login-container {
    min-width: 300px;
    max-width: 500px;
    width: 500px;
    background-color: #5402FF;
    padding: 20px 40px;
    color: white;
    display: flex;
    flex-direction: column;
    gap: 20px;
    border-radius: 5px;
}

#login-head {
    font-size: 1.5rem;
    user-select: none;
}

#login-body {
    font-size: 1.2rem;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    gap: 10px
}

#login-body label {
    margin-top: 10px;
    user-select: none;
}

#login-body input {
    font-size: 1rem;
    width: 100%;
    border-top: none;
    border-left: none;
    border-right: none;
    border-radius: 0px;
    color: white;
    height: 40px;
    background: #5402FF;
    border-bottom-width: 1px;
    border-bottom-color: white;    
}

#login-body input:focus {
    outline: none;
    border-bottom-color: red;
}

#login-footer {
    display: flex;
    justify-content: end;
    align-items: center;
    gap: 10px;
}

#login-footer input {
    height: 40px;
    width: 120px;
    background-color: rgba(132,4,232,1);
    border: none;
    border-radius: 5px;
    color: white;
    font-size: .8rem;
    cursor: pointer;
}

#login-footer input:hover {
    background-color: rgba(156, 55, 234, 0.687);
}

#login-footer input:active {
    background-color: rgba(132,4,232,1);
}

#error {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    background-color: red;
    color: white;
    font-size: 1rem;
    text-align: center;
    padding: 1px 0;
}